import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/shopping/category/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/shopping/category/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/shopping/category/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/shopping/category/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/shopping/category/submit',
    method: 'post',
    data: row
  })
}

export const getLazyList = (parentId, params) => {
  return request({
    url: '/api/shopping/category/lazy-list',
    method: 'get',
    params: {
      ...params,
      parentId
    }
  })
}

export const getCategoryTree = (tenantId) => {
  return request({
    url: '/api/shopping/category/tree',
    method: 'get',
    params: {
      tenantId,
    }
  })
}
