import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/shopping/specitems/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/shopping/specitems/detail',
    method: 'get',
    params: {
      specId: id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/shopping/specitems/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/shopping/specitems/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/shopping/specitems/submit',
    method: 'post',
    data: row
  })
}

